Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ServerVersionOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ServerVersion`, `ClientWireProtocol.ServerVersion.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ServerVersionOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getMajorServerVersion()`
`int32 majorServerVersion = 1;`
`int`
`getMinorServerVersion()`
`int32 minorServerVersion = 2;`
`int`
`getPatchServerVersion()`
`int32 patchServerVersion = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getMajorServerVersion

int getMajorServerVersion()
`int32 majorServerVersion = 1;`

Returns:
  The majorServerVersion.

### getMinorServerVersion

int getMinorServerVersion()
`int32 minorServerVersion = 2;`

Returns:
  The minorServerVersion.

### getPatchServerVersion

int getPatchServerVersion()
`int32 patchServerVersion = 3;`

Returns:
  The patchServerVersion.